import { Maybe } from './declarations';
export declare const compareBoolean: (x: Maybe<boolean>, y: Maybe<boolean>, direction?: number) => number;
export declare const compareString: (x: Maybe<string>, y: Maybe<string>, direction?: number) => number;
export declare const compareNumber: (x: Maybe<number>, y: Maybe<number>, direction?: number) => number;
export declare const compareDate: (x: Maybe<string | number | Date>, y: Maybe<string | number | Date>, direction?: number) => number;
export declare const compareStringAsNumber: (x: Maybe<string>, y: Maybe<string>, direction?: number) => number;
export declare const compareLength: (x: Maybe<string | unknown[]>, y: Maybe<string | unknown[]>, direction?: number) => number;
export declare const compareStringByWordCount: (x: Maybe<string>, y: Maybe<string>, direction?: number) => number;
export declare const compareStringSearch: (x: Maybe<string>, y: Maybe<string>, z: Maybe<string>, d?: number) => number;
