type LinkSelector<T> = (node: T, index: number) => T | undefined;
/**
 * Get nth node from a linked list.
 * @param node the first node of the linked list
 * @param n the nth node after the first node
 * @param selector get next node from current node
 *
 * @returns the nth node
 */
export declare function getLinkedListNode<T>(node: T, n: number, selector: LinkSelector<T>): T | undefined;
export {};
