import { isFalsy, isTruthy } from './core.js';

/**
 * Check if new object should be set
 * and should the message of overriden shown
 *
 * @param oldVersionId
 * @param newVersionId
 */
// eslint-disable-next-line import/prefer-default-export
function checkVersion(oldVersionId, newVersionId) {
  return {
    shouldSetValue: isFalsy(oldVersionId) || oldVersionId < newVersionId,
    isValueOverriden: isTruthy(oldVersionId) && oldVersionId < newVersionId
  };
}

export { checkVersion };
//# sourceMappingURL=misc.js.map
