export type Maybe<T> = T | undefined | null;
export type Obj<T> = Record<string, T>;
export type FirstArgument<T> = T extends (arg1: infer U, ...args: any[]) => any ? U : any;
export type Parameters<T> = T extends (...args: infer S) => any ? S : undefined[];
export type ReturnType<T> = T extends (...args: any[]) => infer R ? R : never;
