import { Obj } from './declarations';
/**
 * Fill parameters in route url
 * @param route route template
 * @param params map of values
 */
export declare function reverseRoute(route: string, params: Obj<string | number>): string;
/**
 * Identify if param is required in certain route
 * @param route route template
 * @param param parameter name
 */
export declare function isParamRequired(route: string, param: string): boolean;
